org.springframework.data.relational.core.dialect

## Class AbstractDialect

- java.lang.Object
- - org.springframework.data.relational.core.dialect.AbstractDialect

All Implemented Interfaces:
  Dialect

Direct Known Subclasses:
  AnsiDialect, Db2Dialect, H2Dialect, HsqlDbDialect, MySqlDialect, PostgresDialect, SqlServerDialect

    public abstract class AbstractDialect
    extends Object
    implements Dialect

Base class for `Dialect` implementations.

Since:
  1.1
Author:
  Mark Paluch, Myeonghyeon Lee

### Constructor Summary

Constructors
Constructor and Description
`AbstractDialect()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected Function<Select,CharSequence>` `getAfterFromTable()` Returns a `afterFromTable Function`.
`protected Function<Select,CharSequence>` `getAfterOrderBy()` Returns a `afterOrderBy Function`.
`SelectRenderContext` `getSelectContext()` Obtain the `SelectRenderContext`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.data.relational.core.dialect.Dialect

`getArraySupport, getIdentifierProcessing, getIdGeneration, getLikeEscaper, limit, lock`

### Constructor Detail

#### AbstractDialect

    public AbstractDialect()

### Method Detail

#### getSelectContext

    public SelectRenderContext getSelectContext()

Description copied from interface: `Dialect`
Obtain the `SelectRenderContext`.

Specified by:
  `getSelectContext` in interface `Dialect`
Returns:
  the `SelectRenderContext`.

#### getAfterFromTable

    protected Function<Select,CharSequence> getAfterFromTable()

Returns a `afterFromTable Function`. Typically used for table hint for SQL Server.

Returns:
  the `Function` called on `afterFromTable`.

#### getAfterOrderBy

    protected Function<Select,CharSequence> getAfterOrderBy()

Returns a `afterOrderBy Function`. Typically used for pagination.

Returns:
  the `Function` called on `afterOrderBy`.